public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/XenAPI/
Date: Mon,  4 Apr 2022 14:49:24 +0000 (UTC)	[thread overview]
Message-ID: <1649029568.558e5df45f1a83dd66e637770b73f5d2ae381370.andrewammerlaan@gentoo> (raw)

commit:     558e5df45f1a83dd66e637770b73f5d2ae381370
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Apr  3 08:24:44 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sun Apr  3 23:46:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=558e5df4

dev-python/XenAPI: add 22.14.0

Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/XenAPI/Manifest              |  1 +
 dev-python/XenAPI/XenAPI-22.14.0.ebuild | 83 +++++++++++++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/dev-python/XenAPI/Manifest b/dev-python/XenAPI/Manifest
index 430c88992..7f5dd3349 100644
--- a/dev-python/XenAPI/Manifest
+++ b/dev-python/XenAPI/Manifest
@@ -1 +1,2 @@
 DIST XenAPI-2.14.tar.gz 5110 BLAKE2B 0391ccfffe8c2a264360eef4057a666e92bcbc8b31e7848f15704fff4d554db9758b1aa0b5210d1bfc41c4df261096b04961a4ff6722a8ea25305971b70f8562 SHA512 a56245b617fa049bcc62ee78e85167e322b632e53d2a6bc3e042e1cb0541ea0004aee4b957f9190c30685cef935f236d980a224322ac593896abd7a31e36abd2
+DIST XenAPI-22.14.0.tar.gz 3124877 BLAKE2B 2b073e0f713b45b51af1e221aa278841c4a5515c72859c7c95601edeb32ec2b8415c11dec86f79a2ab88265d4303675cf9f0432091c884346a25630a503b5244 SHA512 cc048ede21748e6e60b9e432bb68e0754590e3846277c8bf1fa9000916897353db1b5b39bd7120e7d6c894fc859c8a34129824399cfca0a07c5edf937a6e18ec

diff --git a/dev-python/XenAPI/XenAPI-22.14.0.ebuild b/dev-python/XenAPI/XenAPI-22.14.0.ebuild
new file mode 100644
index 000000000..ff82bbb1d
--- /dev/null
+++ b/dev-python/XenAPI/XenAPI-22.14.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_OPTIONAL=1
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit bash-completion-r1 distutils-r1 dune pam systemd
+
+DESCRIPTION="Xen API SDK, for communication with Citrix XenServer and Xen Cloud Platform"
+HOMEPAGE="
+	https://xenproject.org/developers/teams/xen-api
+	https://github.com/xapi-project/xen-api
+	https://pypi.org/project/XenAPI
+"
+SRC_URI="https://github.com/xapi-project/xen-api/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/xen-api-${PV}"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="ocamlopt pam python"
+
+RDEPEND="
+	python? ( ${PYTHON_DEPS} )
+
+	dev-libs/xxhash
+	dev-ml/cstruct
+	dev-ml/ezjsonm
+	dev-ml/ezxenstore
+	dev-ml/mtime
+	dev-ml/rpc
+	dev-ml/uuidm
+	dev-ml/xapi-backtrace
+	dev-ml/xapi-stdext
+	dev-ml/xcp-inventory
+	dev-ml/xcp-rrd
+	dev-ml/xen-gnt
+	dev-ml/xenctrl
+	dev-ml/xenstore
+	dev-ml/xenstore-clients
+	dev-ml/xmlm
+"
+DEPEND="${RDEPEND}"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+src_compile() {
+	dune_src_compile
+	if use python; then
+		pushd scripts/examples/python || die
+		python_foreach_impl distutil-r1_python_compile
+		popd || die
+	fi
+}
+
+src_install() {
+	for p in *.opam ; do
+		dune_src_install "${p/.opam/}"
+	done
+
+	pushd scripts || die
+	emake install
+	popd || die
+
+	if use python; then
+		pushd scripts/examples/python || die
+		python_foreach_impl distutils-r1_python_install
+		popd || die
+	fi
+
+#	newbashcomp scripts/xe-switch-network-backend-bash-completion xe-switch-network-backend
+#
+#	insinto /etc/logrotate
+#	newins scripts/audit-logrotate audit.conf
+#
+#	for s in scripts/*.service ; do
+#		systemd_dounit "${s}"
+#	done
+#
+#	use pam && newpamd scripts/pam.d-xapi xapi
+}


             reply	other threads:[~2022-04-04 14:49 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-04 14:49 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-30 12:55 [gentoo-commits] repo/proj/guru:master commit in: dev-python/XenAPI/ Andrew Ammerlaan
2022-04-17 18:13 Arthur Zamarin
2021-10-25 11:56 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649029568.558e5df45f1a83dd66e637770b73f5d2ae381370.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox